# translate

Returns a string formed by replacing individual characters that appear in the second argument with the characters that appear at the corresponding position in the third argument

translate($arg as xs:string?, $mapString as xs:string, $transString as xs:string) → xs:string

Arguments
| $arg | xs:string? | The string to be translated
| $mapString | xs:string | Characters to be replaced if they appear in the input string
| $transString | xs:string | Characters to be used as the replacement for corresponding characters in the second argument
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next